=== debian/changelog ===
firmware-ast (20140808-9) sid; urgency=medium

  * Updating vcs fields.
  * Trimming changelog.
  * Updating email address.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Feb 2025 09:24:27 +0100

firmware-ast (20140808-8) sid; urgency=medium

  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.
  * Installing firmware files into /usr/lib/firmware (Closes: #1073633).

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Jul 2024 21:20:30 +0200

firmware-ast (20140808-7) sid; urgency=medium

  * Updating to standards version 4.6.2.
  * Moving source and binary from non-free/kernel to non-free-
    firmware/kernel following the 2022 General Resolution about non-free
    firmware, thanks to Cyril Brulebois <kibi@debian.org> (Closes:
    #1029110).

 -- Daniel Baumann <daniel@debian.org>  Wed, 18 Jan 2023 06:16:58 +0100

firmware-ast (20140808-6) sid; urgency=medium

  * Replacing build-depends on vim by xxd explicitly to fix FTBFS with
    newer vim, thanks to Andreas Beckmann <anbe@debian.org> (Closes:
    #1021238).

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Oct 2022 11:27:16 +0200

firmware-ast (20140808-5) sid; urgency=medium

  * Updating packaging copyright for 2022.
  * Updating to standards version 4.6.1.

 -- Daniel Baumann <daniel@debian.org>  Thu, 07 Jul 2022 10:23:35 +0200

firmware-ast (20140808-4) sid; urgency=medium

  * Adding autobuild field.

 -- Daniel Baumann <daniel@debian.org>  Mon, 15 Nov 2021 07:00:00 +0100

firmware-ast (20140808-3) sid; urgency=medium

  * Updating to standards version 4.6.0.

 -- Daniel Baumann <daniel@debian.org>  Sat, 09 Oct 2021 11:04:04 +0200

firmware-ast (20140808-2) sid; urgency=medium

  * Moving package to non-free, the binary-blob has a free license but no
    source in the sense of 'prefered-form-of-modification', thanks Josh
    Triplett <josh@joshtriplett.org> (Closes: #986268).

 -- Daniel Baumann <daniel@debian.org>  Tue, 06 Apr 2021 12:56:55 +0200

firmware-ast (20140808-1) sid; urgency=medium

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Sat, 13 Mar 2021 06:38:29 +0100
