=== debian/control ===
Source: firmware-ast
Section: non-free-firmware/kernel
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 xxd,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://gitlab.freedesktop.org/xorg/driver/xf86-video-ast
Vcs-Browser: https://forgejo.debian.net/linux/firmware-ast
Vcs-Git: https://forgejo.debian.net/linux/firmware-ast
XS-Autobuild: yes

Package: firmware-ast
Section: non-free-firmware/kernel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 initramfs-tools,
Enhances:
 firmware-linux-free,
 xserver-xorg-video-ast,
Description: Binary firmware for ASpeed Technologies graphics chips
 This package contains the binary firmware for ASpeed Technologies graphics
 chips supported by the xserver-xorg-video-ast driver.
 .
 Contents:
  * AST microcode (ast_dp501_fw.bin)
